Bug 19003 - Add a TestBuilder default for borrowers.login_attempts
Summary: Add a TestBuilder default for borrowers.login_attempts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 18314
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-29 15:05 UTC by Marcel de Rooy
Modified: 2017-12-07 22:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19003: Fix account lockouts in SIP/Message.t (1.21 KB, patch)
2017-07-29 15:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19003: Add a TestBuilder default for borrower.login_attempts (1.24 KB, patch)
2017-07-31 06:40 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19003: Add a TestBuilder default for borrowers.login_attempts (1.24 KB, patch)
2017-07-31 06:42 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19003: Add a TestBuilder default for borrowers.login_attempts (1.26 KB, patch)
2017-07-31 13:00 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-07-29 15:05:27 UTC
Bug 18314 causes t/db/SIP/Message.t to fail (quite often) since testbuilder fills login_attempts with a random number.
Trivial fix.
Comment 1 Marcel de Rooy 2017-07-29 15:08:46 UTC
Make it not dependent on pref FailedLoginAttempts
Comment 2 Marcel de Rooy 2017-07-29 15:09:42 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2017-07-31 06:40:33 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2017-07-31 06:42:22 UTC
Created attachment 65329 [details] [review]
Bug 19003: Add a TestBuilder default for borrowers.login_attempts

Bug 18314 causes t/db/SIP/Message.t to fail (quite often) since
TestBuilder fills login_attempts with a random number. (Note: Only
when FailedLoginAttempts is non-zero.)
Trivial fix: TestBuilder should have a zero default for login_attempts.

Test plan:
Do not yet apply this patch.
Set pref FailedLoginAttempts to say 3.
Run t/db_dependent/SIP/Message.t. Might fail on the password test (CQ).
Apply this patch.
Run t/db_dependent/SIP/Message.t again. Does not fail anymore.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Nick Clemens 2017-07-31 13:00:55 UTC
Created attachment 65342 [details] [review]
Bug 19003: Add a TestBuilder default for borrowers.login_attempts

Bug 18314 causes t/db/SIP/Message.t to fail (quite often) since
TestBuilder fills login_attempts with a random number. (Note: Only
when FailedLoginAttempts is non-zero.)
Trivial fix: TestBuilder should have a zero default for login_attempts.

Test plan:
Do not yet apply this patch.
Set pref FailedLoginAttempts to say 3.
Run t/db_dependent/SIP/Message.t. Might fail on the password test (CQ).
Apply this patch.
Run t/db_dependent/SIP/Message.t again. Does not fail anymore.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Jonathan Druart 2017-08-08 12:45:37 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-09-29 09:09:10 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 8 Katrin Fischer 2017-10-01 21:25:37 UTC
Dependent on bug 18314 which is not in 16.11.x.